#include <stdio.h>

#include "gettext.h"
#define _(String) gettext (String)

#include "sudoku.h"

#define NBSP ""

/* make a nicely formatted HTML page for this sudoku.  */
void print_sudoku_html(sudoku_t su, FILE *fout, int level) {
  int i, j, k, l, x;
  
  fprintf(stdout, "<font face=\"helvetica,geneva,sansserif,times\" size=+1>\n");
  fprintf(stdout, "<center>\n");
  fprintf(stdout, "<br><br><br>\n");
  fprintf(stdout, _("Sudoku. Level %d\n"), level);
  fprintf(stdout, "<br><br><br>\n");
  fprintf(stdout, "<table border=0 cellspacing=0 cellpadding=0>\n"
	  "<tr>\n"
	  "<td bgcolor=#000000 width=15 height=16>"NBSP"</td>\n"
	  "<td bgcolor=#000000 width=15>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "<td bgcolor=#000000 width=9>"NBSP"</td>\n"
	  "<td bgcolor=#000000 width=6>"NBSP"</td>\n"
	  "<td bgcolor=#000000 width=15>"NBSP"</td>\n"
	  "</tr>\n"
	  "<tr>\n"
	  "<td bgcolor=#000000 height=16>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "</tr>\n"
	  "<tr>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td >\n\n"
	  );
  fprintf(fout, "<table border=0 cellspacing=0 cellpadding=0 bgcolor=#808080>\n");
  for (i=0; i<3; i++) {
    fprintf(fout, "<tr>\n");
    for (k=0; k<3; k++) {
      fprintf(fout, "<td><table border=0 cellspacing=1>\n");
      for (j=0; j<3; j++) {
	fprintf(fout, "<tr>");
	for (l=0; l<3; l++) {
	  x = su[3*i+j][3*k+l];
	  fprintf(fout, "<td align=center bgcolor=#ffffff width=30 height=32>");
	  fprintf(fout, x ? "<img src=img/%d.png>" : "<img src=img/b.png>", x);
	  fprintf(fout, "</td>");
	}
	fprintf(fout, "</tr>\n");
      }
      fprintf(fout, "</table></td>\n");
    }
    fprintf(fout, "</tr>\n");
  }
  fprintf(fout, "</table>\n");
  fprintf(stdout, "\n\n"
	  "</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "</tr>\n"
	  "<tr>\n"
	  "<td bgcolor=#000000 height=10></td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "</tr>\n"
	  "<tr>\n"
	  "<td bgcolor=#000000 height=6></td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#f4daa0>"NBSP"</td>\n"
	  "<td bgcolor=#e00000>"NBSP"</td>\n"
	  "<td bgcolor=#e00000>"NBSP"</td>\n"
	  "</tr>\n"
	  "<tr>\n"
	  "<td bgcolor=#000000 height=16>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "<td bgcolor=#000000>"NBSP"</td>\n"
	  "<td bgcolor=#e00000>"NBSP"</td>\n"
	  "<td bgcolor=#e00000>"NBSP"</td>\n"
	  "</tr>\n"
	  "</table>\n"
	  );
  fprintf(stdout, "</center>\n");
  fprintf(stdout, "</font>\n");
}

